Package org.eclipse.emf.cdo.etypes

## Interface EtypesPackage

- All Superinterfaces:
    `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `EtypesPackageImpl`

      public interface EtypesPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `EtypesFactory`
  Generated
  Model
    kind="package"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `EtypesPackage.Literals` | Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ANNOTATION` | The meta object id for the '`Annotation`' class.
    `static int` | `ANNOTATION___GET_ANNOTATION__STRING` | The operation id for the 'Get Annotation' operation.
    `static int` | `ANNOTATION__ANNOTATIONS` | The feature id for the 'Annotations' containment reference list.
    `static int` | `ANNOTATION__CONTENTS` | The feature id for the 'Contents' containment reference list.
    `static int` | `ANNOTATION__DETAILS` | The feature id for the 'Details' map.
    `static int` | `ANNOTATION__MODEL_ELEMENT` | The feature id for the 'Model Element' container reference.
    `static int` | `ANNOTATION__REFERENCES` | The feature id for the 'References' reference list.
    `static int` | `ANNOTATION__SOURCE` | The feature id for the 'Source' attribute.
    `static int` | `ANNOTATION_FEATURE_COUNT` | The number of structural features of the 'Annotation' class.
    `static int` | `ANNOTATION_OPERATION_COUNT` | The number of operations of the 'Annotation' class.
    `static int` | `BLOB` | The meta object id for the 'Blob' data type.
    `static int` | `BRANCH_POINT_REF` | The meta object id for the 'Branch Point Ref' data type.
    `static int` | `BRANCH_REF` | The meta object id for the 'Branch Ref' data type.
    `static int` | `CLASSIFIER_REF` | The meta object id for the 'Classifier Ref' data type.
    `static int` | `CLOB` | The meta object id for the 'Clob' data type.
    `static EtypesPackage` | `eINSTANCE` | The singleton instance of the package.
    `static java.lang.String` | `eNAME` | The package name.
    `static java.lang.String` | `eNS_PREFIX` | The package namespace name.
    `static java.lang.String` | `eNS_URI` | The package namespace URI.
    `static int` | `INPUT_STREAM` | The meta object id for the 'Input Stream' data type.
    `static int` | `LOB` | The meta object id for the 'Lob' data type.
    `static int` | `MODEL_ELEMENT` | The meta object id for the '`Model Element`' class.
    `static int` | `MODEL_ELEMENT___GET_ANNOTATION__STRING` | The operation id for the 'Get Annotation' operation.
    `static int` | `MODEL_ELEMENT__ANNOTATIONS` | The feature id for the 'Annotations' containment reference list.
    `static int` | `MODEL_ELEMENT_FEATURE_COUNT` | The number of structural features of the 'Model Element' class.
    `static int` | `MODEL_ELEMENT_OPERATION_COUNT` | The number of operations of the 'Model Element' class.
    `static int` | `READER` | The meta object id for the 'Reader' data type.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()` | Returns the meta object for class '`Annotation`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Contents()` | Returns the meta object for the containment reference list '`Contents`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Details()` | Returns the meta object for the map '`Details`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_ModelElement()` | Returns the meta object for the container reference '`Model Element`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_References()` | Returns the meta object for the reference list '`References`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Source()` | Returns the meta object for the attribute '`Source`'.
    `org.eclipse.emf.ecore.EDataType` | `getBlob()` | Returns the meta object for data type '`Blob`'.
    `org.eclipse.emf.ecore.EDataType` | `getBranchPointRef()` | Returns the meta object for data type '`Branch Point Ref`'.
    `org.eclipse.emf.ecore.EDataType` | `getBranchRef()` | Returns the meta object for data type '`Branch Ref`'.
    `org.eclipse.emf.ecore.EDataType` | `getClassifierRef()` | Returns the meta object for data type '`Classifier Ref`'.
    `org.eclipse.emf.ecore.EDataType` | `getClob()` | Returns the meta object for data type '`Clob`'.
    `EtypesFactory` | `getEtypesFactory()` | Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EDataType` | `getInputStream()` | Returns the meta object for data type '`Input Stream`'.
    `org.eclipse.emf.ecore.EDataType` | `getLob()` | Returns the meta object for data type '`Lob`'.
    `org.eclipse.emf.ecore.EClass` | `getModelElement()` | Returns the meta object for class '`Model Element`'.
    `org.eclipse.emf.ecore.EOperation` | `getModelElement__GetAnnotation__String()` | Returns the meta object for the '`Get Annotation`' operation.
    `org.eclipse.emf.ecore.EReference` | `getModelElement_Annotations()` | Returns the meta object for the containment reference list '`Annotations`'.
    `org.eclipse.emf.ecore.EDataType` | `getReader()` | Returns the meta object for data type '`Reader`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final EtypesPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### MODEL_ELEMENT

          static final int MODEL_ELEMENT

      The meta object id for the '`Model Element`' class.
      See Also:
        `ModelElementImpl`, `EtypesPackageImpl.getModelElement()`, Constant Field Values
      Generated

    - #### MODEL_ELEMENT__ANNOTATIONS

          static final int MODEL_ELEMENT__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT_FEATURE_COUNT

          static final int MODEL_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Model Element' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT___GET_ANNOTATION__STRING

          static final int MODEL_ELEMENT___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      Since:
        4.11
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT_OPERATION_COUNT

          static final int MODEL_ELEMENT_OPERATION_COUNT

      The number of operations of the 'Model Element' class.
      Since:
        4.11
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION

          static final int ANNOTATION

      The meta object id for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `EtypesPackageImpl.getAnnotation()`, Constant Field Values
      Generated

    - #### ANNOTATION__ANNOTATIONS

          static final int ANNOTATION__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__SOURCE

          static final int ANNOTATION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__DETAILS

          static final int ANNOTATION__DETAILS

      The feature id for the 'Details' map.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__MODEL_ELEMENT

          static final int ANNOTATION__MODEL_ELEMENT

      The feature id for the 'Model Element' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__CONTENTS

          static final int ANNOTATION__CONTENTS

      The feature id for the 'Contents' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__REFERENCES

          static final int ANNOTATION__REFERENCES

      The feature id for the 'References' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION_FEATURE_COUNT

          static final int ANNOTATION_FEATURE_COUNT

      The number of structural features of the 'Annotation' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION___GET_ANNOTATION__STRING

          static final int ANNOTATION___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      Since:
        4.11
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION_OPERATION_COUNT

          static final int ANNOTATION_OPERATION_COUNT

      The number of operations of the 'Annotation' class.
      Since:
        4.11
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### BLOB

          static final int BLOB

      The meta object id for the 'Blob' data type.
      See Also:
        `CDOBlob`, `EtypesPackageImpl.getBlob()`, Constant Field Values
      Generated

    - #### CLOB

          static final int CLOB

      The meta object id for the 'Clob' data type.
      See Also:
        `CDOClob`, `EtypesPackageImpl.getClob()`, Constant Field Values
      Generated

    - #### LOB

          static final int LOB

      The meta object id for the 'Lob' data type.
      Since:
        4.1
      See Also:
        `CDOLob`, `EtypesPackageImpl.getLob()`, Constant Field Values
      Generated

    - #### INPUT_STREAM

          static final int INPUT_STREAM

      The meta object id for the 'Input Stream' data type.
      Since:
        4.3
      See Also:
        `InputStream`, `EtypesPackageImpl.getInputStream()`, Constant Field Values
      Generated

    - #### READER

          static final int READER

      The meta object id for the 'Reader' data type.
      Since:
        4.3
      See Also:
        `Reader`, `EtypesPackageImpl.getReader()`, Constant Field Values
      Generated

    - #### CLASSIFIER_REF

          static final int CLASSIFIER_REF

      The meta object id for the 'Classifier Ref' data type.
      Since:
        4.10
      See Also:
        `CDOClassifierRef`, `EtypesPackageImpl.getClassifierRef()`, Constant Field Values
      Generated

    - #### BRANCH_REF

          static final int BRANCH_REF

      The meta object id for the 'Branch Ref' data type.
      Since:
        4.10
      See Also:
        `CDOBranchRef`, `EtypesPackageImpl.getBranchRef()`, Constant Field Values
      Generated

    - #### BRANCH_POINT_REF

          static final int BRANCH_POINT_REF

      The meta object id for the 'Branch Point Ref' data type.
      Since:
        4.10
      See Also:
        `CDOBranchPointRef`, `EtypesPackageImpl.getBranchPointRef()`, Constant Field Values
      Generated

  - ### Method Detail

    - #### getModelElement

          org.eclipse.emf.ecore.EClass getModelElement()

      Returns the meta object for class '`Model Element`'.
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated

    - #### getModelElement_Annotations

          org.eclipse.emf.ecore.EReference getModelElement_Annotations()

      Returns the meta object for the containment reference list '`Annotations`'.
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `ModelElement.getAnnotations()`, `getModelElement()`
      Generated

    - #### getModelElement__GetAnnotation__String

          org.eclipse.emf.ecore.EOperation getModelElement__GetAnnotation__String()

      Returns the meta object for the '`Get Annotation`' operation.
      Returns:
        the meta object for the 'Get Annotation' operation.
      Since:
        4.11
      See Also:
        `ModelElement.getAnnotation(java.lang.String)`
      Generated

    - #### getAnnotation

          org.eclipse.emf.ecore.EClass getAnnotation()

      Returns the meta object for class '`Annotation`'.
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated

    - #### getAnnotation_Source

          org.eclipse.emf.ecore.EAttribute getAnnotation_Source()

      Returns the meta object for the attribute '`Source`'.
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `Annotation.getSource()`, `getAnnotation()`
      Generated

    - #### getAnnotation_Details

          org.eclipse.emf.ecore.EReference getAnnotation_Details()

      Returns the meta object for the map '`Details`'.
      Returns:
        the meta object for the map 'Details'.
      See Also:
        `Annotation.getDetails()`, `getAnnotation()`
      Generated

    - #### getAnnotation_ModelElement

          org.eclipse.emf.ecore.EReference getAnnotation_ModelElement()

      Returns the meta object for the container reference '`Model Element`'.
      Returns:
        the meta object for the container reference 'Model Element'.
      See Also:
        `Annotation.getModelElement()`, `getAnnotation()`
      Generated

    - #### getAnnotation_Contents

          org.eclipse.emf.ecore.EReference getAnnotation_Contents()

      Returns the meta object for the containment reference list '`Contents`'.
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `Annotation.getContents()`, `getAnnotation()`
      Generated

    - #### getAnnotation_References

          org.eclipse.emf.ecore.EReference getAnnotation_References()

      Returns the meta object for the reference list '`References`'.
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Annotation.getReferences()`, `getAnnotation()`
      Generated

    - #### getBlob

          org.eclipse.emf.ecore.EDataType getBlob()

      Returns the meta object for data type '`Blob`'.
      Returns:
        the meta object for data type 'Blob'.
      See Also:
        `CDOBlob`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.lob.CDOBlob"

    - #### getClob

          org.eclipse.emf.ecore.EDataType getClob()

      Returns the meta object for data type '`Clob`'.
      Returns:
        the meta object for data type 'Clob'.
      See Also:
        `CDOClob`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.lob.CDOClob"

    - #### getLob

          org.eclipse.emf.ecore.EDataType getLob()

      Returns the meta object for data type '`Lob`'.
      Returns:
        the meta object for data type 'Lob'.
      Since:
        4.1
      See Also:
        `CDOLob`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.lob.CDOLob"

    - #### getInputStream

          org.eclipse.emf.ecore.EDataType getInputStream()

      Returns the meta object for data type '`Input Stream`'.
      Returns:
        the meta object for data type 'Input Stream'.
      Since:
        4.3
      See Also:
        `InputStream`
      Generated
      Model
        instanceClass="java.io.InputStream" serializeable="false"

    - #### getReader

          org.eclipse.emf.ecore.EDataType getReader()

      Returns the meta object for data type '`Reader`'.
      Returns:
        the meta object for data type 'Reader'.
      Since:
        4.3
      See Also:
        `Reader`
      Generated
      Model
        instanceClass="java.io.Reader" serializeable="false"

    - #### getClassifierRef

          org.eclipse.emf.ecore.EDataType getClassifierRef()

      Returns the meta object for data type '`Classifier Ref`'.
      Returns:
        the meta object for data type 'Classifier Ref'.
      See Also:
        `CDOClassifierRef`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.model.CDOClassifierRef"

    - #### getBranchRef

          org.eclipse.emf.ecore.EDataType getBranchRef()

      Returns the meta object for data type '`Branch Ref`'.
      Returns:
        the meta object for data type 'Branch Ref'.
      See Also:
        `CDOBranchRef`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.branch.CDOBranchRef"

    - #### getBranchPointRef

          org.eclipse.emf.ecore.EDataType getBranchPointRef()

      Returns the meta object for data type '`Branch Point Ref`'.
      Returns:
        the meta object for data type 'Branch Point Ref'.
      See Also:
        `CDOBranchPointRef`
      Generated
      Model
        instanceClass="org.eclipse.emf.cdo.common.branch.CDOBranchPointRef"

    - #### getEtypesFactory

          EtypesFactory getEtypesFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated